Rapid7 VulnDB

Amazon Linux AMI: Security patch for php55 (ALAS-2015-535) (multiple CVEs)

Back to Search

Amazon Linux AMI: Security patch for php55 (ALAS-2015-535) (multiple CVEs)

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
06/04/2015
Created
07/25/2018
Added
06/04/2015
Modified
07/04/2017

Description

The pcntl_exec implementation in PHP before 5.4.41, 5.5.x before 5.5.25, and 5.6.x before 5.6.9 truncates a pathname upon encountering a \x00 character, which might allow remote attackers to bypass intended extension restrictions and execute files with unexpected names via a crafted first argument. NOTE: this vulnerability exists because of an incomplete fix for CVE-2006-7243.

Solution(s)

  • amazon-linux-upgrade-php55
  • amazon-linux-upgrade-php55-bcmath
  • amazon-linux-upgrade-php55-cli
  • amazon-linux-upgrade-php55-common
  • amazon-linux-upgrade-php55-dba
  • amazon-linux-upgrade-php55-debuginfo
  • amazon-linux-upgrade-php55-devel
  • amazon-linux-upgrade-php55-embedded
  • amazon-linux-upgrade-php55-enchant
  • amazon-linux-upgrade-php55-fpm
  • amazon-linux-upgrade-php55-gd
  • amazon-linux-upgrade-php55-gmp
  • amazon-linux-upgrade-php55-imap
  • amazon-linux-upgrade-php55-intl
  • amazon-linux-upgrade-php55-ldap
  • amazon-linux-upgrade-php55-mbstring
  • amazon-linux-upgrade-php55-mcrypt
  • amazon-linux-upgrade-php55-mssql
  • amazon-linux-upgrade-php55-mysqlnd
  • amazon-linux-upgrade-php55-odbc
  • amazon-linux-upgrade-php55-opcache
  • amazon-linux-upgrade-php55-pdo
  • amazon-linux-upgrade-php55-pgsql
  • amazon-linux-upgrade-php55-process
  • amazon-linux-upgrade-php55-pspell
  • amazon-linux-upgrade-php55-recode
  • amazon-linux-upgrade-php55-snmp
  • amazon-linux-upgrade-php55-soap
  • amazon-linux-upgrade-php55-tidy
  • amazon-linux-upgrade-php55-xml
  • amazon-linux-upgrade-php55-xmlrpc

References

  • amazon-linux-upgrade-php55
  • amazon-linux-upgrade-php55-bcmath
  • amazon-linux-upgrade-php55-cli
  • amazon-linux-upgrade-php55-common
  • amazon-linux-upgrade-php55-dba
  • amazon-linux-upgrade-php55-debuginfo
  • amazon-linux-upgrade-php55-devel
  • amazon-linux-upgrade-php55-embedded
  • amazon-linux-upgrade-php55-enchant
  • amazon-linux-upgrade-php55-fpm
  • amazon-linux-upgrade-php55-gd
  • amazon-linux-upgrade-php55-gmp
  • amazon-linux-upgrade-php55-imap
  • amazon-linux-upgrade-php55-intl
  • amazon-linux-upgrade-php55-ldap
  • amazon-linux-upgrade-php55-mbstring
  • amazon-linux-upgrade-php55-mcrypt
  • amazon-linux-upgrade-php55-mssql
  • amazon-linux-upgrade-php55-mysqlnd
  • amazon-linux-upgrade-php55-odbc
  • amazon-linux-upgrade-php55-opcache
  • amazon-linux-upgrade-php55-pdo
  • amazon-linux-upgrade-php55-pgsql
  • amazon-linux-upgrade-php55-process
  • amazon-linux-upgrade-php55-pspell
  • amazon-linux-upgrade-php55-recode
  • amazon-linux-upgrade-php55-snmp
  • amazon-linux-upgrade-php55-soap
  • amazon-linux-upgrade-php55-tidy
  • amazon-linux-upgrade-php55-xml
  • amazon-linux-upgrade-php55-xmlrpc

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;